describe('Navbar Visibility', () => {
    beforeEach(() => {
        cy.visit('/')
      })
    it('logo is visible', () => {
      cy.get('body')
        .first()
      .find('.navar')
      .get('img')
      .should('be.visible')
    })
    it('title is visible', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.navbar-logo')
      .should('be.visible')
    })
    it('Home is visible', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.nav-menu')
      .get('.nav-item')
      .get('.nav-links')
      .contains('Home')
      .should('be.visible')
    })
    it('For Parents is visible', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.nav-menu')
      .first()
      .next()
      .get('.nav-item')
      .get('.nav-links')
      .contains('For Parents')
      .should('be.visible')
    })
    it('For Kids is visible', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.nav-menu')
      .first()
      .next()
      .get('.nav-item')
      .get('.nav-links')
      .contains('For Kids')
      .should('be.visible')
    })
    it('Signup/Login is visible', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.btn-mobile')
      .contains('Sign Up/Login')
      .should('be.visible')
    })
})

describe('Navbar Links', () => {
    beforeEach(() => {
        cy.visit('/')
      })
      it('title', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.navbar-logo')
      .click()
      .url().should('eq', 'http://localhost:3000/')
    })
    it('Home', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.nav-menu')
      .get('.nav-item')
      .get('.nav-links')
      .contains('Home')
      .click()
      .url().should('eq', 'http://localhost:3000/')
    })
    it('For Parents', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.nav-menu')
      .first()
      .next()
      .get('.nav-item')
      .get('.nav-links')
      .contains('For Parents')
      .click()
      .url().should('eq', 'http://localhost:3000/forparents')
    })
    it('For Kids', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.nav-menu')
      .first()
      .next()
      .get('.nav-item')
      .get('.nav-links')
      .contains('For Kids')
      .click()
      .url().should('eq', 'http://localhost:3000/forkids')
    })
    it('Signup/Login', () => {
        cy.get('body')
        .first()
      .find('.navar')
      .find('.navbar-container')
      .get('.btn-mobile')
      .contains('Sign Up/Login')
      .click()
      .url().should('eq', 'http://localhost:3000/signup')
    })
})